summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorAndrey Lihatskiy <alihatskiy@productengine.com>2021-02-01 22:14:44 +0200
committerAndrey Lihatskiy <alihatskiy@productengine.com>2021-02-01 22:14:44 +0200
commit185082f1bbedbe9d5a17f1ee1b85693c2bc990d9 (patch)
treeb60ca5d437a0fe8bfe0fe0d600dd4bf49914f259 /build.sh
parenteb042c2365a308c65ac3844c01741b0957bd3e1e (diff)
parent21565a1f3fe1ae737e2f91c58be2c3cb0b5a2fec (diff)
Merge branch 'master' into DRTVWR-521-maint
# Conflicts: # indra/newview/llappviewer.cpp
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index 545c913f92..3b0cf97731 100755
--- a/build.sh
+++ b/build.sh
@@ -480,10 +480,12 @@ then
fi
# Run upload extensions
+ # Ex: bugsplat
if [ -d ${build_dir}/packages/upload-extensions ]; then
for extension in ${build_dir}/packages/upload-extensions/*.sh; do
begin_section "Upload Extension $extension"
. $extension
+ [ $? -eq 0 ] || fatal "Upload of extension $extension failed"
end_section "Upload Extension $extension"
done
fi